"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeToast = exports.removeAllToasts = exports.createToast = void 0;

var _context = require("./context");

var toastCounter = 0;

var createToast = function createToast(toast) {
  var id = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "practical-".concat(++toastCounter);
  return {
    id,
    type: _context.ToastActionType.TOAST_CREATE,
    data: toast
  };
};

exports.createToast = createToast;

var removeToast = id => ({
  id,
  type: _context.ToastActionType.TOAST_REMOVE
});

exports.removeToast = removeToast;
var removeAllToasts = {
  type: _context.ToastActionType.TOAST_REMOVE_ALL
};
exports.removeAllToasts = removeAllToasts;